Page MenuHomePhabricator

Remove unused "append" parameter from FindTypes API
ClosedPublic

Authored by aprantl on Sep 27 2019, 5:19 PM.

Details

Summary

I noticed that SymbolFileDWARFDebugMap::FindTypes was implementing it incorrectly (passing append=false in a for-loop to recursive calls to FindTypes would yield only the very last set of results), but instead of fixing it, removing it seemed like an even better option.

rdar://problem/54412692

Diff Detail

Repository
rL LLVM

Event Timeline

aprantl created this revision.Sep 27 2019, 5:19 PM
labath accepted this revision.Sep 29 2019, 11:58 PM

Nuke it from orbit. It's the only way to be sure. I'd also consider removing the size_t return value. If some user really needs that, he can always implement the counting himself.

This revision is now accepted and ready to land.Sep 29 2019, 11:58 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptSep 30 2019, 9:40 AM

This broke the windows bot. A couple of other issues have shown up and been fixed since, but this change is still causing a break:

http://lab.llvm.org:8011/builders/lldb-x64-windows-ninja/builds/9373

I made a blind attempt in r373342. Hopefully that should fix it.